import request from '@/utils/request'

// 查询签到记录列表
export function listUserSign(query) {
  return request({
    url: '/store/userSign/list',
    method: 'get',
    params: query
  })
}

// 查询签到记录详细
export function getUserSign(int) {
  return request({
    url: '/store/userSign/' + int,
    method: 'get'
  })
}

// 新增签到记录
export function addUserSign(data) {
  return request({
    url: '/store/userSign',
    method: 'post',
    data: data
  })
}

// 修改签到记录
export function updateUserSign(data) {
  return request({
    url: '/store/userSign',
    method: 'put',
    data: data
  })
}

// 删除签到记录
export function delUserSign(int) {
  return request({
    url: '/store/userSign/' + int,
    method: 'delete'
  })
}

// 导出签到记录
export function exportUserSign(query) {
  return request({
    url: '/store/userSign/export',
    method: 'get',
    params: query
  })
}